"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.printn = exports.checkTemplateFile = exports.checkAndReturnCurrentDirTemplateFile = void 0;
var path = require('path');
var fs = require('fs');
function checkAndReturnCurrentDirTemplateFile() {
    var currentDir = process.cwd();
    var file_tag = path.join(currentDir, 'template.yaml');
    if (fs.existsSync(file_tag)) {
        return file_tag;
    }
    return null;
}
exports.checkAndReturnCurrentDirTemplateFile = checkAndReturnCurrentDirTemplateFile;
function checkTemplateFile(templateFile) {
    if (fs.existsSync(templateFile)) {
        return templateFile;
    }
    return null;
}
exports.checkTemplateFile = checkTemplateFile;
function printn(n, str) {
    if (str === void 0) { str = ' '; }
    var temp_str = '';
    for (var i = 0; i < n; i++) {
        temp_str = temp_str + str;
    }
    return temp_str;
}
exports.printn = printn;
//# sourceMappingURL=common.js.map