"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Command = require('commander').Command;
var command_manager_1 = require("./command-manager");
var params = [];
function create(command, customerCommandName, description) {
    var _command = new Command(command);
    var processArgv = [];
    var start = false;
    var next = false;
    for (var i = 0; i < process.argv.length; i++) {
        if (!start || ['-t', '--template'].includes(process.argv[i]) || next === true) {
            if (next === true) {
                next = false;
            }
            if (['-t', '--template'].includes(process.argv[i])) {
                next = true;
            }
            processArgv.push(process.argv[i]);
        }
        else {
            params.push(process.argv[i]);
        }
        if (process.argv[i] === command) {
            start = true;
        }
    }
    process.argv = processArgv;
    _command
        .description(description || '')
        .option('-t, --template [template]', '')
        .action(function (program) {
        var template = program.template;
        var commandManager = new command_manager_1.default(command, customerCommandName, template, params.join(' '));
        commandManager.init();
    });
    return _command;
}
exports.default = create;
//# sourceMappingURL=index.js.map